

function mapear() {
    let mapa = L.map('divMapa', { center: [3.855262784366583,
        -429.59765625], zoom: 5});

    let mosaico = L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
        maxZoom: 20,
        id: 'mapbox.streets'
    });

    mosaico.addTo(mapa);



    
 

var LeafIcon = L.Icon.extend({
    options: {
        shadowUrl: 'leaf-shadow.png',
        iconSize:     [38, 95],
        shadowSize:   [50, 64],
        iconAnchor:   [22, 94],
        shadowAnchor: [4, 62],
        popupAnchor:  [-3,-76]
    }
});


var greenIcon = new LeafIcon({iconUrl: 'leaf-green.png'}),
    redIcon = new LeafIcon({iconUrl: 'leaf-red.png'}),
    orangeIcon = new LeafIcon({iconUrl: 'leaf-orange.png'});


L.marker([3.381823735328289, -436.552734375 ], {icon: greenIcon}).addTo(mapa).bindPopup("I am a green leaf.");
L.marker([ 10.401377554543553, -435.45410156249994], {icon: redIcon}).addTo(mapa).bindPopup("I am a red leaf.");
L.marker([ 4.609278084409835, -434.1357421875], {icon: orangeIcon}).addTo(mapa).bindPopup("I am an orange leaf.");


let cali = L.polygon([
    [
        3.5031406650049117,-436.48956298828125,
       
      ],
      [
        3.4949162791774087,-436.5266418457031,
       
      ],
      [
        3.446939263591914,-436.54724121093744,
       
      ],
      [
        3.3852509781574955,-436.5575408935547,
       
      ],
      [
        3.3845655305613955,-436.5479278564453,
       
      ],
      [
        3.3578326970051338,-436.53350830078125,
        
      ],
      [
        3.3537198882801262,-436.5211486816406,
       
      ],
      [
        3.391419984682776,-436.5129089355469,
       
      ],
      [
        3.3749692133389093,-436.49436950683594,
       
      ],
      [
        3.3811382853083267,-436.4662170410156,
        
      ],
      [
        3.3948471935266618,-436.4655303955078,
        
      ],
      [
        3.426376942737271,-436.4607238769531,
        
      ],
      [
        3.444883051464311,-436.46484375,
        
      ],
      [
        3.444883051464311,-436.47308349609375,
        
      ],
      [
        3.47161346167791,-436.475830078125,
        
      ],
      [
        3.5031406650049117,-436.48956298828125,
        
      ]],{

        color: 'purple',
        fillColor: 'violet',
        fillOpacity: 0.4,
    
    }).addTo(mapa);    

let bogota = L.polygon([
             [
                4.0971507026650755,-434.2613983154297
              
            ],
            [
                4.134133941453719,-434.33624267578125
             
            ],
            [
                3.982080870700533,-434.3609619140625
             
            ],
            [
                3.784781124382708,-434.4309997558594
              
            ],
            [
                3.728597178501758,-434.4255065917968,
             
            ],
            [
                3.768337417492072,-434.388427734375,
           
            ],
            [
                3.8204080831949407,-434.3115234375,
          
            ],
            [
                3.858773922572667, -434.33349609374994,
              
            ],
            [
                4.012219781582052,-434.24011230468744,
              
            ],
            [
                4.023179110282761,-434.1522216796875,
              
            ],
            [
                4.182072606722732,-434.1082763671875,
              
            ],
            [
                4.2628768437209565,-434.1508483886719,
            
            ],
            [
                4.372428314516494,-434.10003662109375,
             
            ],
            [
                4.387490398371439, -434.1261291503906,
              
            ],
            [
                4.455950571647079,-434.0849304199218
              
            ],
            [
                4.5148212264183485,-434.06982421875,
             
            ],
            [
                4.5422013027861325,-434.0464782714844,
             
            ],
            [
                4.561366738166873,-434.0135192871094,
              
            ],
            [
                4.625704089861983,-433.98742675781244,
              
            ],
            [
                4.64897361172607,-434.02862548828125,
              
            ],
            [
                4.666767433658992,-434.0162658691406
              
            ],
            [
                4.78857447163437 ,-434.014892578125
              
            ],
            [
                4.8200491901285805 ,-434.01214599609375
            
            ],
            [
                4.8351018015713265,-434.0657043457031
              
            ],
            [
                4.807733169042804,-434.0931701660156
           
            ],
            [
                4.686271681712942,-434.17110443115234,
              
            ],
            [
                4.663345579805752,-434.16252136230463,
              
            ],
            [
                4.652737726976278,-434.18758392333984,
              
            ],
            [
                4.622966448709134,-434.22088623046875
             
            ],
            [
                4.5873761534497035,-434.1769409179687
             
            ],
            [
                4.403921416062774, -434.20715332031244
            
            ],
            [
                4.227269234182849, -434.22706604003906
            
            ],
            [
                4.0971507026650755  ,-434.2613983154297
           
            ]],{
        color: 'black',
        fillColor: 'violet',
        fillOpacity: 0.4,
    
    }).addTo(mapa);  

let cartagena = L.polygon([
    [
        10.390233883495162,-435.54628372192377,
        
      ],
      [
        10.390402729962059,-435.54731369018555,
       
      ],
      [
        10.391922344058367,-435.5459403991699,
       
      ],
      [
        10.399351462113279,-435.55349349975586,
        
      ],
      [
        10.403572473168706,-435.55212020874023,
     
      ],
      [
        10.413533832861882,-435.5476570129394,
        
      ],
      [
        10.419442963651132,-435.54988861083984,
 
      ],
      [
        10.41741698857316,-435.5464553833008,
    
      ],
      [
        10.41370266672475,-435.5438804626465,
     
      ],
      [
        10.410494807696908, -435.5404472351074,
        
      ],
      [
        10.40644272807687, -435.5387306213379,
        
      ],
      [
        10.405260861606397,-435.52722930908203,

      ],
      [
        10.40694924090797,-435.5261993408203,
       
      ],
      [
        10.413364998907568, -435.5304908752441,
     
      ],
      [
        10.408468774466833,-435.5232810974121,
      
      ],
      [
        10.403572473168706,-435.52396774291987,
        
      ],
      [
        10.39698767099275,-435.52534103393555,
        
      ],
      [
        10.394286173516653, -435.52534103393555,
        
      ],
      [
        10.388376566338046,-435.5248260498047,
       
      ],
      [
        10.38179144385489,-435.51246643066406,
       
      ],
      [
        10.366425618969886,-435.509033203125,
        
      ],
      [
        10.352747712085764,-435.50937652587885,
        
      ],
      [
        10.340589071820277, -435.5078315734863,
        
      ],
      [
        10.341771182515746,-435.49787521362305,
        
      ],
      [
        10.34683732079491,-435.4843139648437,
        
      ],
      [
        10.370478217450298,-435.45289993286127,
       
      ],
      [
        10.401884075596323,-435.4446601867676,
        
      ],
      [
        10.407286915671815,-435.44895172119135,
        
      ],
      [
        10.405936214423443,-435.45289993286127,
        
      ],
      [
        10.417079324779621,-435.4589080810547,
      
      ],
      [
        10.415391000324501,-435.4618263244629,
        
      ],
      [
        10.410832478622307,-435.47813415527344,
       
      ],
      [
        10.414378001261914,-435.48362731933594,
       
      ],
      [
        10.416066331203975,-435.490665435791,
       
      ],
      [
        10.416741660620229,-435.51761627197266,
      
      ],
      [
        10.424001359408539,-435.5131530761719,
       
      ],
      [
        10.429910291644385,-435.5109214782715,
        
      ],
      [
        10.441559000877305,-435.5071449279785,
        
      ],
      [
        10.448649305897874,-435.51109313964844,
      ],
      [
        10.451350331922388,-435.5083465576172,
        
      ],
      [
        10.455401826918397,-435.51109313964844,
      
      ],
      [
        10.439870809178256,-435.5318641662597,
      
      ],
      [
        10.424339015699848,-435.5552101135254,
     
      ],
      [
        10.411676654336164,-435.5517768859863,
        
      ],
      [
        10.397156513809083,-435.5649948120117,
     
      ],
      [
        10.393610795496638,-435.5593299865722,
       
      ],
      [
        10.396649985086201,-435.5613899230957,
     
      ],
      [
        10.390233883495162,-435.54628372192377,
        
      ]],{
    color: 'green',
        fillColor: 'brown',
        fillOpacity: 0.3,
    
}).addTo(mapa); 


}




